| Extra Parameter | Type | Required | Description |
|---|---|---|---|
payment_method | string | No | Restrict checkout to card, apple_pay, or google_pay. See Payment Method (Optional) below. |
checkout_prefill_* | string | No | Optional prefilled values for the C21 Checkout page. See Checkout Prefill Fields (Optional) below. |
payment_method to restrict this order to one payment method in the TrustPay checkout flow.| Value | Checkout behavior |
|---|---|
card | Bank card payment. Prefer the self-built card form when available on the selected account; otherwise use the provider card component. |
apple_pay | Apple Pay only. applepay is also accepted. |
google_pay | Google Pay only. googlepay is also accepted. |
redirect_card, cash_app, and other unsupported values are not accepted by this parameter.payment_method value in the request signature, using exactly the value sent in the request (including an alias, if used)."payment_method": "apple_pay" to the existing request body and recalculate sign.curl --location 'https://api.trustpay.money/v4/payin/create/order' \
--header 'Content-Type: application/json' \
--data '{
"currency": "USD",
"merchant_id": 8820250900009,
"notify_url": "https://rbaskets.trustpay.money/checkout",
"order_amount": 20.00,
"order_no": "local-payin-440",
"sign": "c4a02e0e9270ec884fa050cdf0e916ad"
}'{
"code": 880001,
"message": "success",
"data": {
"order_no": "local-test-payin-12",
"platform_order_no": "T4CMQaTCcN05GEx9EQkuabB1",
"currency": "USD",
"order_amount": 20,
"fee": 4.5,
"pay_url": "https://pay.goopter.com/checkout.html?token=9cdfe051de03b615b74b410e"
}
}